import request from '@/utils/request'

/**
 * 配送明细查询
 * @param {*} data
 * @returns
 */
export function getPsmxList(data){
    return request({
        url: '/api/gxzz/psmx/get',
        method: 'post',
        data
    })
}


/**
 * 配送明细添加
 * @param {*} data
 * @returns
 */
export function addPsmx(data){
    return request({
        url: '/api/gxzz/psmx/add',
        method: 'post',
        data
    })
}

/**
 * 配送明细修改
 * @param {*} data
 * @returns
 */
export function updatePsmx(data){
    return request({
        url: '/api/gxzz/psmx/update',
        method: 'post',
        data
    })
}

/**
 * 配送明细删除
 * @param {*} data
 * @returns
 */
export function delPsmx(data){
    return request({
        url: '/api/gxzz/psmx/del',
        method: 'post',
        data
    })
}

/**
 * 双旬计划查询
 * @param data
 * @returns {AxiosPromise}
 */
export  function  sxList(data){
  return request({
    url: '/api/gxzz/mpWorkPlan/sxList',
    method: 'post',
    data
  })
}
/**
 * 双旬计划查询base
 * @param data
 * @returns {AxiosPromise}
 */
export  function  sxBase(data){
  return request({
    url: '/api/gxzz/mpWorkPlan/base',
    method: 'post',
    data
  })
}

export  function  sxUpdate(data){
  return request({
    url: '/api/gxzz/mpWorkPlan/sxUpdate',
    method: 'post',
    data
  })
}
export  function  sxSh(data){
  return request({
    url: '/api/gxzz/mpWorkPlan/sxSh',
    method: 'post',
    data
  })
}
export  function  sxShth(data){
  return request({
    url: '/api/gxzz/mpWorkPlan/sxShth',
    method: 'post',
    data
  })
}

export  function  backCardCx(data){
  return request({
    url: '/api/gxzz/mpWorkPlan/backCardCx',
    method: 'post',
    data
  })
}

export  function  backCardSave(data){
  return request({
    url: '/api/gxzz/mpWorkPlan/backCardSave',
    method: 'post',
    data
  })
}

/**
 * excel导入api
 */
export function upload(url,data){
  return request({
    url: url,
    method: 'post',
    data
  })
}

/**
 * 配送计划明细保存
 */
export function save(data){
  return request({
    url: '/api/gxzz/psmx/save',
    method: 'post',
    data
  })
}

/**
 * 配送计划明细提交
 */
export function submit(data){
  return request({
    url: '/api/gxzz/psmx/submit',
    method: 'post',
    data
  })
}

/**
 * 配送计划明细执行
 */
export function execute(data){
  return request({
    url: '/api/gxzz/psmx/execute',
    method: 'post',
    data
  })
}
export function updateAzfjppzl(data){
  return request({
    url: '/api/gxzz/psmx/updateAzfjppzl',
    method: 'post',
    data
  })
}

/**
 * 配送计划明细确认
 */
export function confirm(data){
  return request({
    url: '/api/gxzz/psmx/confirm',
    method: 'post',
    data
  })
}

/**
 * 打印
 */
export function print(data={}){
  return request({
    responseType:'blob',
    url: '/api/gxzz/psmx/print',
    method: 'post',
    data
  })
}
//配送物量统计
export function getPsWltj(data){return request({url: '/api/gxzz/psmx/getPsWltj', method: 'post', data })}
export function getPsWltjBase(data){return request({url: '/api/gxzz/psmx/getPsWltjBase', method: 'post', data })}
export function updatePsxx(data){return request({url: '/api/gxzz/psmx/updatePsxx', method: 'post', data })}

//

//安装出库查询
  export function findAzfjCkList(data){return request({url: '/api/gxzz/psmx/findAzfjCkList', method: 'post', data })}
  export function findAzfjRkList(data){return request({url: '/api/gxzz/psmx/findAzfjRkList', method: 'post', data })}
  export function azfjckbzSave(data){return request({url: '/api/gxzz/psmx/azfjckbzSave', method: 'post', data })}
//管子制作计划打印
export function sczyjhPrint(data){return request({url: '/api/gxzz/mpWorkPlan/sczyjhPrint', method: 'post', data })}


